package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcBrand;

/**
 * cmc品牌项目支付审批Service接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface ICmcBrandService 
{
    /**
     * 查询cmc品牌项目支付审批
     * 
     * @param brandId cmc品牌项目支付审批主键
     * @return cmc品牌项目支付审批
     */
    public CmcBrand selectCmcBrandByBrandId(String brandId);

    /**
     * 查询cmc品牌项目支付审批列表
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return cmc品牌项目支付审批集合
     */
    public List<CmcBrand> selectCmcBrandList(CmcBrand cmcBrand);

    /**
     * 新增cmc品牌项目支付审批
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return 结果
     */
    public int insertCmcBrand(CmcBrand cmcBrand);

    /**
     * 修改cmc品牌项目支付审批
     * 
     * @param cmcBrand cmc品牌项目支付审批
     * @return 结果
     */
    public int updateCmcBrand(CmcBrand cmcBrand);

    /**
     * 批量删除cmc品牌项目支付审批
     * 
     * @param brandIds 需要删除的cmc品牌项目支付审批主键集合
     * @return 结果
     */
    public int deleteCmcBrandByBrandIds(String[] brandIds);

    /**
     * 删除cmc品牌项目支付审批信息
     * 
     * @param brandId cmc品牌项目支付审批主键
     * @return 结果
     */
    public int deleteCmcBrandByBrandId(String brandId);
}
